package com.example;

import static org.assertj.core.api.Assertions.assertThat;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.system.CapturedOutput;
import org.springframework.boot.test.system.OutputCaptureExtension;

@SpringBootTest
@ExtendWith(OutputCaptureExtension.class)
public class MyCustomizerTests {

	@Test
	void test(CapturedOutput output) {
		assertThat(output).contains("{\"@timestamp\""); // structured logging is working
		assertThat(output).contains("\"test\":\"value\""); // MyCustomizer is working
	}
}
